---
distro_name: centos
distro_version: 8
release: master
api_url: https://trunk.rdoproject.org/api-centos8-master-uc
base_url: https://trunk.rdoproject.org/centos8-master/
username: ciuser
dry_run: no

# promote_from is not used in component promotion using promote-hash
promote_from:
  promoted-components: component-ci-testing

# target promotion label now has a nested list of criteria jobs
# for each component
promoted-components:
  baremetal:
    - periodic-tripleo-ci-centos-8-standalone-baremetal-master
    - periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-baremetal-master
    - periodic-tripleo-ci-centos-8-scenario012-standalone-baremetal-master
  cinder:
    - periodic-tripleo-ci-centos-8-standalone-cinder-master
    - periodic-tripleo-ci-centos-8-scenario001-standalone-cinder-master
    - periodic-tripleo-ci-centos-8-scenario004-standalone-cinder-master
  clients:
    - periodic-tripleo-ci-centos-8-standalone-clients-master
    - periodic-tripleo-ci-centos-8-containers-multinode-clients-master
  cloudops:
    - periodic-tripleo-ci-centos-8-standalone-cloudops-master
    - periodic-tripleo-ci-centos-8-scenario001-standalone-cloudops-master
    - periodic-tripleo-ci-centos-8-scenario002-standalone-cloudops-master
  common:
    - periodic-tripleo-ci-centos-8-standalone-common-master
    - periodic-tripleo-ci-centos-8-scenario001-standalone-common-master
    - periodic-tripleo-ci-centos-8-scenario002-standalone-common-master
    - periodic-tripleo-ci-centos-8-scenario003-standalone-common-master
    - periodic-tripleo-ci-centos-8-scenario004-standalone-common-master
    - periodic-tripleo-ci-centos-8-containers-multinode-common-master
  compute:
    - periodic-tripleo-ci-centos-8-standalone-compute-master
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-api-compute-master
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-scenario-compute-master
    - periodic-tripleo-ci-centos-8-scenario012-standalone-compute-master
    - periodic-tripleo-ci-centos-8-standalone-compute-master-validation
  glance:
    - periodic-tripleo-ci-centos-8-scenario001-standalone-glance-master
    - periodic-tripleo-ci-centos-8-scenario002-standalone-glance-master
    - periodic-tripleo-ci-centos-8-scenario003-standalone-glance-master
    - periodic-tripleo-ci-centos-8-scenario004-standalone-glance-master
  manila:
    - periodic-tripleo-ci-centos-8-scenario004-standalone-manila-master
  network:
    - periodic-tripleo-ci-centos-8-standalone-network-master
    - periodic-tripleo-ci-centos-8-scenario007-standalone-network-master
    - periodic-tripleo-ci-centos-8-scenario010-kvm-internal-standalone-network-master
    - periodic-tripleo-ci-centos-8-containers-multinode-network-master
    - periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-network-master
    - periodic-tripleo-ci-centos-8-standalone-network-master-validation
  octavia:
    - periodic-tripleo-ci-centos-8-standalone-octavia-master
    - periodic-tripleo-ci-centos-8-scenario007-standalone-octavia-master
    - periodic-tripleo-ci-centos-8-scenario010-kvm-internal-standalone-octavia-master
    - periodic-tripleo-ci-centos-8-containers-multinode-octavia-master
  security:
    - periodic-tripleo-ci-centos-8-standalone-security-master
    - periodic-tripleo-ci-centos-8-containers-multinode-security-master
    - periodic-tripleo-ci-centos-8-standalone-on-multinode-ipa-security-master
  swift:
    - periodic-tripleo-ci-centos-8-scenario002-standalone-swift-master
  tempest:
    - periodic-tripleo-ci-centos-8-standalone-tempest-master
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-api-tempest-master
    - periodic-tripleo-ci-centos-8-standalone-full-tempest-scenario-tempest-master
  tripleo:
    - periodic-tripleo-ci-centos-8-standalone-tripleo-master
    - periodic-tripleo-ci-centos-8-containers-multinode-tripleo-master
    - periodic-tripleo-ci-centos-8-ovb-3ctlr_1comp-featureset001-tripleo-master
    - periodic-tripleo-ci-centos-8-standalone-on-multinode-ipa-tripleo-master
    - periodic-tripleo-ci-centos-8-scenario004-standalone-tripleo-master
    # Taking out of criteria because https://bugs.launchpad.net/tripleo/+bug/1943462
    #- periodic-tripleo-ci-centos-8-standalone-upgrade-tripleo-master
    - periodic-tripleo-ci-centos-8-scenario000-multinode-oooq-container-updates-tripleo-master
    - periodic-tripleo-ci-centos-8-standalone-tripleo-master-validation
  ui:
    - periodic-tripleo-ci-centos-8-standalone-ui-master
  validation:
    - periodic-tripleo-ci-centos-8-standalone-validation-master
